import '@operato/data-grist';
import '@operato/context/ox-context-page-toolbar.js';
import './attribute-set-item-list.js';
import { FetchOption } from '@operato/data-grist';
import { PageView } from '@operato/shell';
declare const AttributeSetManagementPage_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & (new (...args: any[]) => import("lit").LitElement) & typeof PageView;
export declare class AttributeSetManagementPage extends AttributeSetManagementPage_base {
    static styles: import("lit").CSSResult[];
    gristConfig: any;
    mode: 'CARD' | 'GRID' | 'LIST';
    private grist;
    get context(): {
        title: string;
        search: {
            handler: (search: string) => void;
            value: string;
        };
        filter: {
            handler: () => void;
        };
        actions: {
            title: string;
            action: () => Promise<void>;
            icon: string;
        }[];
        toolbar: boolean;
    };
    render(): import("lit-html").TemplateResult<1>;
    pageInitialized(lifecycle: any): Promise<void>;
    fetchHandler({ page, limit, sortings, filters }: FetchOption): Promise<{
        total: any;
        records: any;
    }>;
    private deleteAttributeSet;
    private updateAttributeSet;
}
export {};
